Bug 1568579 - [fix available] LibreOffice leaves a zombie when run in daemon mode.
Summary: [fix available] LibreOffice leaves a zombie when run in daemon mode.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libreoffice
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Stephan Bergmann
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1477664
TreeView+ depends on / blocked
 
Reported: 2018-04-17 19:46 UTC by Thomas Gardner
Modified: 2018-10-30 07:57 UTC (History)
3 users (show)

Fixed In Version: libreoffice-5.3.6.1-14.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 07:57:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3054 None None None 2018-10-30 07:57:57 UTC

Description Thomas Gardner 2018-04-17 19:46:07 UTC
Description of problem:

LibreOffice, when run in daemon mode (soffice.bin --headless) for converting documents sent to it by clients creates a zombie process when it has no access to an X server (which it shouldn't need in this case).  Apparently, if it's started from within an X session, it doesn't do this, but that won't help someone who wants this to start at boot.  The main daemon process seems to work OK, but this zombie wondering about the system is unsettling to some.  Please see external bug:

https://bugs.documentfoundation.org/show_bug.cgi?id=95843

for a reasonably extensive treatment of this bug.

Version-Release number of selected component (if applicable):

Customer is using 5.0.6.2-15, but it seems to be in the latest Fedora as well.

How reproducible:


Steps to Reproduce:
1. This particular customer is using the command line:

/usr/lib64/libreoffice/program/soffice.bin --headless --accept=socket,host=127.0.0.1,port=8100;urp; --pidfile=/var/run/soffice.pid --nologo --nodefault --nofirststartwizard

to start theirs, but according to the other bug report sited above, it seems to do this with any form of "soffice.bin --headless"

2.

A ps issued directly after the above should show you a zombie child.

Actual results:

Zombie.

Expected results:

No zombie.


Additional info:

Comment 1 Caolan McNamara 2018-04-18 15:13:00 UTC
caolanm->sbergman: sounds like this is your kind of area.

Comment 3 Martin Krajnak 2018-07-12 16:14:17 UTC
Cannot reproduce with libreoffice-impress-5.3.6.1-16

Comment 5 errata-xmlrpc 2018-10-30 07:57:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3054


Note You need to log in before you can comment on or make changes to this bug.